<?php
/**
 * Plugin Name: WPShop Themes: Add WPML Support
 * Description: Add WPML plugins support
 * Plugin URI:  https://wpshop.ru/
 * Author:      WPShop.ru
 * Author URI:  https://wpshop.ru/
 * License:     WPShop License
 * License URI: https://wpshop.biz/license
 */

namespace Wpshop\Themes\Plugins\AddWpmlSupport;

defined( 'ABSPATH' ) or die();

class AddWpmlSupport {

    public function __construct() {

        $theme_name = get_template();

        /**
         * Add suppress_filters to related posts
         */
        add_filter( $theme_name . '_related_get_posts_category_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

        add_filter( $theme_name . '_related_get_posts_rand_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

        /**
         * Add suppress_filters to home constructor
         */
        add_filter( $theme_name . '_home_constructor_get_posts_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

        /**
         * Add suppress_filters to slider
         */
        add_filter( $theme_name . '_slider_get_posts_post_in_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

        add_filter( $theme_name . '_slider_get_posts_category_in_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

        add_filter( $theme_name . '_slider_get_posts_rand_args', function ( $args ) {
            $args['suppress_filters'] = false;

            return $args;
        } );

    }

}

new AddWpmlSupport;